AstrologyAPI

Use access token to call astrology api.

Learn More

General House Report

POSThttps://json.astrologyapi.com/v1/general_house_report/:planet_name
Copy

The general_house_report/:planet_name API provides a horoscope report for a specific planet in a person's natal chart. The response includes a description of the individual's personality traits, physical characteristics, and potential challenges related to that planet's influence on their chart.

POST/general_house_report/:planet_name
Copy
1curl --location 'https://json.astrologyapi.com/v1/general_house_report/:planet_name' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "day": 10,
6    "month": 5,
7    "year": 1990,
8    "hour": 19,
9    "min": 55,
10    "lat": 19.2056,
11    "lon": 25.2056,
12    "tzone": 5.5
13}'
14
200Response
Copy
1{
2  "planet": "sun",
3  "house_report": "You have an abundance of physical vitality. Sometimes there is so much energy that you become reckless, impulsive, and throw caution to the wind. You may experience cuts and burns on your head and face which may leave some sort of scar. You are assertive, independent, impatient and want to do your own thing. You have strong organizing ability. You are usually self-confident. Guard against accidents due to rushing around in your impulsiveness. You may be subject to higher than normal fevers."
4}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hi

Request Body (JSON)

day

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

hour

int

required

Hour of birth, eg: 19

min

int

required

Minute of birth, eg: 55

lat

float

required

Latitude, eg: 19.2056

lon

float

required

Longitude, eg: 25.2056

tzone

float

required

Timezone, eg: 5.5

Path Parameters

planet_name

string

required

Planet Name, eg: sun, moon

Properties

sunmoonmarsmercuryjupitervenussaturn

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.